% Exercise 1: Properties of Random Number Generator

% Parameters
n = 10000;
seed = 10;

% Set the seed
rng(seed);
% Get n uniformly distributed random numbers
X = rand([n 1]);

% Plot distribution of X in 20 bins
figure(10); clf(10);
hist(X, 20);
xlabel('Interval');
ylabel('Number of occurences');

% Add standard deviation on plot
std_bin = std(hist(X,20))
hold('on');
plot(xlim(), n/20 + std_N * [1 1], xlim(), n/20 - std_N * [1 1], 'LineWidth', 2);